# Method Gdbm.DB()->`[]=()

Method `[]=

  ``Gdbm.DB()`[ `key` ] = `data``

Description

  Associate the contents of 'data' with the key 'key'. If the key 'key' already exists in the database the data for that key will be replaced. If it does not exist it will be added. An error will be generated if the database was not open for writing.

Example

      gdbm[key] = data;

Returns

  Returns `data` on success.

See also

  store()